Closed Bug 1342075 Opened 3 years ago Closed 3 years ago

Make nsCertOverride::OverrideBits an enum class

Categories

(Core :: Security: PSM, defect, P1, minor)

defect

Tracking

()

RESOLVED FIXED
mozilla54
Tracking Status
firefox54 --- fixed

People

(Reporter: Cykesiopka, Assigned: Cykesiopka)

References

()

Details

(Whiteboard: [psm-assigned])

Attachments

(1 file)

nsCertOverride::OverrideBits is currently an enum. enum classes are safer to use, so we should convert OverrideBits to an enum class.
Comment on attachment 8840460 [details]
Bug 1342075 - Make nsCertOverride::OverrideBits an enum class.

https://reviewboard.mozilla.org/r/114954/#review116492

LGTM.

::: security/manager/ssl/nsCertOverrideService.h:67
(Diff revision 1)
>  
>    static void convertBitsToString(OverrideBits ob, nsACString &str);
>    static void convertStringToBits(const nsACString &str, OverrideBits &ob);
>  };
>  
> +MOZ_MAKE_ENUM_CLASS_BITWISE_OPERATORS(nsCertOverride::OverrideBits)

Ah, neat.
Attachment #8840460 - Flags: review?(dkeeler) → review+
Pushed by philringnalda@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/dfdf88ae0191
Make nsCertOverride::OverrideBits an enum class. r=keeler
Keywords: checkin-needed
https://hg.mozilla.org/mozilla-central/rev/dfdf88ae0191
Status: ASSIGNED → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla54
You need to log in before you can comment on or make changes to this bug.